maven-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Martijn Dashorst <martijn.dasho...@gmail.com>
Subject Re: Unable to use the maven-release-plugin to release
Date Wed, 05 Feb 2014 16:44:53 GMT
This is still an issue. Can someone please fix the maven-release-plugin to
work with a decent version of git?

Martijn


On Sat, Dec 28, 2013 at 4:22 PM, Robert Scholte <rfscholte@apache.org>wrote:

> Hi,
>
> it depends on the type of problem you're facing.
>
> as said before, these are probably the best options:
>
> - try maven-release-plugin 2.4
> - use an older version of GIT with English locale.
>
> For details see https://jira.codehaus.org/browse/MRELEASE-812
>
> Robert
>
> Op Sat, 28 Dec 2013 15:34:26 +0100 schreef Julien Nicoulaud <
> julien.nicoulaud@gmail.com>:
>
>
>  Hi,
>>
>> I tried the workaround (release plugin 2.4.2 + maven-scm-provider-gitexe
>> 1.8.1) without success, still messing up releases with snapshot versions.
>> I'm on git 1.8.5.2.
>>
>> Am I missing something else ?
>> Here is my parent pom with the release profile I use if this can help:
>> https://gitorious.org/net-ju-n-parent-pom/net-ju-n-parent-pom
>>
>> Cheers
>>
>>
>> 2013/12/26 Mark Derricutt <mark@talios.com>
>>
>>  You're correct - 1.8.1 is not related to Git 1.8, however it is the
>>> latest
>>> release - and a fix that SUPPORTS Git 1.8 was actually released back in
>>> something like scm-provider 1.5 earlier in the year - only the Maven
>>> Release Plugin DOES NOT USE IT.
>>>
>>> We should really have a new release of m-r-p that forces the use of
>>> current scm-providers cause I can see this problem only increasing as
>>> more
>>> people a) upgrade git or b) move to git and get pissed off with maven+git
>>>
>>> This work around works, but really - goes against convention over
>>> configuration.
>>>
>>>
>>> On 27 Dec 2013, at 1:43, Robert Scholte wrote:
>>>
>>> > I don't think this will fix the issue.
>>> >
>>> > SCM 1.8.1[1] is not related to GIT 1.8.x
>>> >
>>> > It's a coincidence that the most recent version of SVN, GIT and SCM are
>>> all 1.8.x
>>> >
>>> > Robert
>>>
>>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: users-unsubscribe@maven.apache.org
> For additional commands, e-mail: users-help@maven.apache.org
>
>


-- 
Become a Wicket expert, learn from the best: http://wicketinaction.com

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message